diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
index 0e92c436d..f0beea973 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/ExternalReferenceServiceWizardPage.java
@@ -32,8 +32,8 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.ext.ipni.IIpniService;
 import eu.etaxonomy.cdm.ext.ipni.IpniService;
 import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 
 /**
  * <p>ExternalReferenceServiceWizardPage class.</p>
@@ -45,7 +45,7 @@ import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 public class ExternalReferenceServiceWizardPage extends WizardPage implements SelectionListener, ISelectionChangedListener {
 
 	private ConversationHolder conversation;
-	private CdmFormFactory formFactory;
+	private CdmFormFactoryFacade formFactory;
 	private Reference entity;
 	private Composite control;
 	private ListViewer viewer;
@@ -57,11 +57,11 @@ public class ExternalReferenceServiceWizardPage extends WizardPage implements Se
 	/**
 	 * <p>Constructor for ExternalReferenceServiceWizardPage.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param entity a {@link eu.etaxonomy.cdm.model.reference.ReferenceBase} object.
 	 */
-	protected ExternalReferenceServiceWizardPage(CdmFormFactory formFactory, ConversationHolder conversation, Reference entity) {
+	protected ExternalReferenceServiceWizardPage(CdmFormFactoryFacade formFactory, ConversationHolder conversation, Reference entity) {
 		super("ExternalReferenceServiceWizardPage");
 		this.formFactory = formFactory;
 		this.entity = entity;
@@ -79,19 +79,19 @@ public class ExternalReferenceServiceWizardPage extends WizardPage implements Se
 	public void createControl(Composite parent) {
 		control = formFactory.createComposite(parent);
 		
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(CdmFormFactoryFacade.LAYOUT(2, false));
 		
 		text_query = new Text(control, SWT.SINGLE | SWT.BORDER);
-		text_query.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		text_query.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 		
 		button_search = new Button(control, SWT.PUSH);
-		button_search.setLayoutData(CdmFormFactory.RIGHT());
+		button_search.setLayoutData(CdmFormFactoryFacade.RIGHT());
 		button_search.setText("Search");
 		
 		button_search.addSelectionListener(this);
 		
 		viewer = new ListViewer(control);
-		viewer.getControl().setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2,1));
+		viewer.getControl().setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY(2,1));
 		
 		viewer.setContentProvider(new IStructuredContentProvider(){
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/PolytomousKeyWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/PolytomousKeyWizardPage.java
index 7b02512df..3dd85bd40 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/PolytomousKeyWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/PolytomousKeyWizardPage.java
@@ -7,10 +7,10 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.description.PolytomousKey;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 import eu.etaxonomy.taxeditor.ui.section.key.PolytomousKeyDetailElement;
 
@@ -20,7 +20,7 @@ import eu.etaxonomy.taxeditor.ui.section.key.PolytomousKeyDetailElement;
  */
 public class PolytomousKeyWizardPage extends AbstractCdmEntityWizardPage<PolytomousKey> {
 
-	public PolytomousKeyWizardPage(CdmFormFactory formFactory,
+	public PolytomousKeyWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, PolytomousKey entity) {
 		super(formFactory, conversation, entity);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacade.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacade.java
index 455c99e17..d9b2ef778 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacade.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacade.java
@@ -16,7 +16,6 @@ import org.eclipse.swt.events.ModifyEvent;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.taxeditor.singlesource.ImplementationLoader;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -42,40 +41,40 @@ public abstract class LanguageStringWithLabelElementFacade extends TextWithLabel
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacade(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacade(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style) {
 		this(formFactory, parentElement, labelString, languageString, null, style);
 	}
 
-	public static LanguageStringWithLabelElementFacade getInstance( CdmFormFactory formFactory,
+	public static LanguageStringWithLabelElementFacade getInstance( CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style)
 	{
 		return (LanguageStringWithLabelElementFacade)IMPL.getInstanceInternal(formFactory, parentElement, labelString, languageString, style);
 	}
 	
-	protected abstract Object getInstanceInternal(CdmFormFactory formFactory,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style);
 
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param height a int.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacade(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacade(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style) {
 		super(formFactory, parentElement, labelString, null, height, style);
@@ -83,14 +82,14 @@ public abstract class LanguageStringWithLabelElementFacade extends TextWithLabel
 		setLanguageString(languageString);
 	}
 	
-	public static LanguageStringWithLabelElementFacade getInstance( CdmFormFactory formFactory,
+	public static LanguageStringWithLabelElementFacade getInstance( CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style)
 	{
 		return (LanguageStringWithLabelElementFacade)IMPL.getInstanceInternal(formFactory, parentElement, labelString, languageString, height, style);
 	}
 
-	protected abstract Object getInstanceInternal(CdmFormFactory formFactory,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style);
 		
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacade.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacade.java
index 96e295341..786552646 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacade.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacade.java
@@ -17,7 +17,6 @@ import org.eclipse.swt.events.ModifyEvent;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.taxeditor.singlesource.ImplementationLoader;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
@@ -48,27 +47,27 @@ public abstract class NumberWithLabelElementFacade extends TextWithLabelElementF
 	/**
 	 * <p>Constructor for NumberWithLabelElement.</p>
 	 *
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialInteger a {@link java.lang.Integer} object.
 	 * @param style a int.
 	 */
-	protected NumberWithLabelElementFacade(CdmFormFactory toolkit,
+	protected NumberWithLabelElementFacade(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style) {
 		super(toolkit, parentElement, labelString, null, null, style);
 		setInteger(initialInteger);
 	}
 
-	public static NumberWithLabelElementFacade getInstance( CdmFormFactory toolkit,
+	public static NumberWithLabelElementFacade getInstance( CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style)
 	{
 		return (NumberWithLabelElementFacade)IMPL.getInstanceInternal(toolkit, parentElement, labelString, initialInteger, style);
 	}
 
-	protected abstract Object getInstanceInternal(CdmFormFactory toolkit,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style);
 
@@ -76,27 +75,27 @@ public abstract class NumberWithLabelElementFacade extends TextWithLabelElementF
 	/**
 	 * <p>Constructor for NumberWithLabelElement.</p>
 	 *
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialFloat a {@link java.lang.Float} object.
 	 * @param style a int.
 	 */
-	protected NumberWithLabelElementFacade(CdmFormFactory toolkit,
+	protected NumberWithLabelElementFacade(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style) {
 		super(toolkit, parentElement, labelString, null, null, style);
 		setFloat(initialFloat);
 	}
 
-	public static NumberWithLabelElementFacade getInstance( CdmFormFactory toolkit,
+	public static NumberWithLabelElementFacade getInstance( CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style)
 	{
 		return (NumberWithLabelElementFacade)IMPL.getInstanceInternal(toolkit, parentElement, labelString, initialFloat, style);
 	}
 
-	protected abstract Object getInstanceInternal(CdmFormFactory toolkit,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style);
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacade.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacade.java
index c0de780be..1267cdb5b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacade.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacade.java
@@ -21,7 +21,6 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.taxeditor.preference.Resources;
 import eu.etaxonomy.taxeditor.singlesource.ImplementationLoader;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEnableableFormElement;
@@ -60,7 +59,7 @@ public abstract class TextWithLabelElementFacade extends AbstractCdmFormElement
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param parentElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -74,7 +73,7 @@ public abstract class TextWithLabelElementFacade extends AbstractCdmFormElement
 	 * @param style
 	 *            a int.
 	 */
-	protected TextWithLabelElementFacade(CdmFormFactory formFactory,
+	protected TextWithLabelElementFacade(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style) {
 		super(formFactory, parentElement);
@@ -83,7 +82,7 @@ public abstract class TextWithLabelElementFacade extends AbstractCdmFormElement
 			label = formFactory.createLabel(getLayoutComposite(),
 					CdmUtils.Nz(labelString), SWT.NULL);
 			addControl(label);
-			label.setLayoutData(CdmFormFactory.LEFT());
+			label.setLayoutData(CdmFormFactoryFacade.LEFT());
 		}
 
 		int scrollStyle = textHeight == null ? SWT.NULL
@@ -124,7 +123,7 @@ public abstract class TextWithLabelElementFacade extends AbstractCdmFormElement
 			});
 		}
 
-		TableWrapData layoutData = CdmFormFactory.FILL();
+		TableWrapData layoutData = CdmFormFactoryFacade.FILL();
 		if (textHeight != null && textHeight > 0) {
 			(layoutData).heightHint = textHeight;
 		}
@@ -136,13 +135,13 @@ public abstract class TextWithLabelElementFacade extends AbstractCdmFormElement
 		setText(initialText);
 	}
 	
-	public static TextWithLabelElementFacade getInstance( CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	public static TextWithLabelElementFacade getInstance( CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 	String initialText, Integer textHeight, int style)
 	{
 		return (TextWithLabelElementFacade)IMPL.getInstanceInternal(formFactory,parentElement, labelString, initialText, textHeight, style);
 	}
 
-	protected abstract Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style);
 	
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacade.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacade.java
index 017c4b2b9..8506ad81c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacade.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacade.java
@@ -16,7 +16,6 @@ import java.net.URISyntaxException;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.taxeditor.singlesource.ImplementationLoader;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -43,21 +42,21 @@ public abstract class UriWithLabelElementFacade extends TextWithLabelElementFaca
 	 * @param textHeight
 	 * @param style
 	 */
-	protected UriWithLabelElementFacade(CdmFormFactory formFactory,
+	protected UriWithLabelElementFacade(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style) {
 		super(formFactory, parentElement, labelString, null, textHeight, style);
 		setUri(initialUri);
 	}
 
-	public static UriWithLabelElementFacade getInstance( CdmFormFactory formFactory,
+	public static UriWithLabelElementFacade getInstance( CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style)
 	{
 		return (UriWithLabelElementFacade)IMPL.getInstanceInternal(formFactory, parentElement, labelString, initialUri, textHeight, style);
 	}
 
-	protected abstract Object getInstanceInternal(CdmFormFactory formFactory,
+	protected abstract Object getInstanceInternal(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style);
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmEntityWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmEntityWizardPage.java
index 7ed3808a8..960b71b1b 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmEntityWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmEntityWizardPage.java
@@ -22,6 +22,7 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
 /**
@@ -36,7 +37,7 @@ import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 		implements IConversationEnabled, IPropertyChangeListener {
 
-	protected CdmFormFactory formFactory;
+	protected CdmFormFactoryFacade formFactory;
 	protected T entity;
 
 	AbstractCdmDetailElement<T> detailElement;
@@ -48,7 +49,7 @@ public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
@@ -58,7 +59,7 @@ public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 	 * @param <T>
 	 *            a T object.
 	 */
-	protected AbstractCdmEntityWizardPage(CdmFormFactory formFactory,
+	protected AbstractCdmEntityWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, T entity) {
 		super("page");
 		this.formFactory = formFactory;
@@ -91,12 +92,12 @@ public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 	@Override
 	public void createControl(Composite parent) {
 		ScrolledForm scrolledForm = formFactory.createScrolledForm(parent);
-		scrolledForm.getBody().setLayout(CdmFormFactory.LAYOUT());
+		scrolledForm.getBody().setLayout(CdmFormFactoryFacade.LAYOUT());
 
 		Composite control = formFactory.createComposite(scrolledForm.getBody());
-		control.setLayoutData(CdmFormFactory.FILL());
+		control.setLayoutData(CdmFormFactoryFacade.FILL());
 
-		control.setLayout(CdmFormFactory.LAYOUT(2, false));
+		control.setLayout(CdmFormFactoryFacade.LAYOUT(2, false));
 		WizardPageRootElement rootElement = new WizardPageRootElement(
 				formFactory, control, getConversationHolder());
 
@@ -140,7 +141,7 @@ public abstract class AbstractCdmEntityWizardPage<T> extends WizardPage
 
 		private final ConversationHolder conversation;
 
-		public WizardPageRootElement(CdmFormFactory formFactory,
+		public WizardPageRootElement(CdmFormFactoryFacade formFactory,
 				Composite layoutComposite, ConversationHolder conversation) {
 			super(formFactory, layoutComposite);
 			this.conversation = conversation;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElement.java
index 51548fe4c..5b099809c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElement.java
@@ -16,6 +16,7 @@ import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.ui.forms.widgets.Section;
 
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 
 /**
@@ -26,7 +27,7 @@ import eu.etaxonomy.taxeditor.store.StoreUtil;
  */
 public abstract class AbstractCdmFormElement implements IPropertyChangeEmitter, ICdmFormElement, ISelectable {
 
-	protected CdmFormFactory formFactory;
+	protected CdmFormFactoryFacade formFactory;
 
 	private List<IPropertyChangeListener> propertyChangeListeners;
 
@@ -44,10 +45,10 @@ public abstract class AbstractCdmFormElement implements IPropertyChangeEmitter,
 	/**
 	 * <p>Constructor for AbstractCdmFormElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param layoutComposite a {@link org.eclipse.swt.widgets.Composite} object.
 	 */
-	protected AbstractCdmFormElement(CdmFormFactory formFactory, Composite layoutComposite){
+	protected AbstractCdmFormElement(CdmFormFactoryFacade formFactory, Composite layoutComposite){
 		this.layoutComposite = layoutComposite;
 		this.formFactory = formFactory;
 	}
@@ -55,10 +56,10 @@ public abstract class AbstractCdmFormElement implements IPropertyChangeEmitter,
 	/**
 	 * <p>Constructor for AbstractCdmFormElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public AbstractCdmFormElement(CdmFormFactory formFactory, ICdmFormElement formElement) {
+	public AbstractCdmFormElement(CdmFormFactoryFacade formFactory, ICdmFormElement formElement) {
 		this(formFactory, formElement.getLayoutComposite());
 		this.parentElement = formElement;
 //		addControl(layoutComposite);
@@ -67,9 +68,9 @@ public abstract class AbstractCdmFormElement implements IPropertyChangeEmitter,
 	/**
 	 * <p>Getter for the field <code>formFactory</code>.</p>
 	 *
-	 * @return a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @return a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 */
-	public CdmFormFactory getFormFactory() {
+	public CdmFormFactoryFacade getFormFactory() {
 		return formFactory;
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElementWithErrors.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElementWithErrors.java
index 099d87c6b..a73a2b4b4 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElementWithErrors.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractCdmFormElementWithErrors.java
@@ -13,6 +13,8 @@ package eu.etaxonomy.taxeditor.ui.forms;
 import java.util.ArrayList;
 import java.util.List;
 
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+
 
 /**
  * <p>Abstract AbstractCdmFormElementWithErrors class.</p>
@@ -28,10 +30,10 @@ public abstract class AbstractCdmFormElementWithErrors extends AbstractCdmFormEl
 	/**
 	 * <p>Constructor for AbstractCdmFormElementWithErrors.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 */
-	public AbstractCdmFormElementWithErrors(CdmFormFactory formFactory,
+	public AbstractCdmFormElementWithErrors(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractFormSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractFormSection.java
index be771b738..2d5e8776e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractFormSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/forms/AbstractFormSection.java
@@ -32,6 +32,7 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 
 /**
@@ -50,7 +51,7 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 	
 	private Set<ICdmFormElement> elements = new HashSet<ICdmFormElement>();
 	
-	protected CdmFormFactory formFactory;
+	protected CdmFormFactoryFacade formFactory;
 		
 	private List<IPropertyChangeListener> propertyChangeListeners;
 
@@ -65,11 +66,11 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 	 *
 	 * @param conversation TODO
 	 * @param style a int.
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param <ENTITY> a ENTITY object.
 	 */
-	protected AbstractFormSection(CdmFormFactory formFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	protected AbstractFormSection(CdmFormFactoryFacade formFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(parentElement.getLayoutComposite(), style);
 		
 		this.parentElement = parentElement;
@@ -78,12 +79,12 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 		
 		this.conversation = conversation;
 		
-		this.setLayoutData(CdmFormFactory.FILL());
+		this.setLayoutData(CdmFormFactoryFacade.FILL());
 		
 		Composite client = formFactory.createComposite(this, SWT.WRAP);
 		client.setBackgroundMode(SWT.INHERIT_DEFAULT);
 		
-		TableWrapLayout layout = CdmFormFactory.LAYOUT();
+		TableWrapLayout layout = CdmFormFactoryFacade.LAYOUT();
 		layout.bottomMargin = 10;
 		layout.rightMargin = 5;
 		
@@ -95,13 +96,13 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 	/**
 	 * <p>Constructor for AbstractFormSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	protected AbstractFormSection(CdmFormFactory formFactory, ConversationHolder conversation, ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style){
+	protected AbstractFormSection(CdmFormFactoryFacade formFactory, ConversationHolder conversation, ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style){
 		this(formFactory, conversation, parentElement, style);
 		this.selectionProvider = selectionProvider;
 	}
@@ -274,7 +275,7 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 
 	/** {@inheritDoc} */
 	public void selectionChanged(SelectionChangedEvent event) {
-		if(event.getSelection() == CdmFormFactory.EMPTY_SELECTION){
+		if(event.getSelection() == CdmFormFactoryFacade.EMPTY_SELECTION){
 			return;
 		}
 		
@@ -428,9 +429,9 @@ public abstract class AbstractFormSection<ENTITY> extends Section implements ISe
 	/**
 	 * <p>Getter for the field <code>formFactory</code>.</p>
 	 *
-	 * @return a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @return a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 */
-	public CdmFormFactory getFormFactory() {
+	public CdmFormFactoryFacade getFormFactory() {
 		return formFactory;
 	}
 	
